Upgrade 15.0 to 15.1

Introduction

Goal

Upgrade a Bloomreach Experience Manager implementation project from version 15.0.x to 15.1.y.

Significant Changes

  • Multi-target replication (backward compatible)

Upgrade Steps

Perform Generic Minor Upgrade Steps

Follow the generic instructions for minor upgrades.

Check Custom Project Code for Incompatibilities With Upgraded Libraries

Particular caution is warranted for the xmlbeans library used in processing custom REST API requests with an XML payload, PDFBox, and the POI library used to extract text from common office software file formats. These libraries have been updated to a more recent version that may introduce backward compatibility issues for custom project code to avoid published security vulnerabilities.

See the detailed release notes for more info.

 

There are no other upgrade steps required to upgrade from 15.0.x to 15.1.y!
Did you find this page helpful?
How could this documentation serve you better?
On this page
    Did you find this page helpful?
    How could this documentation serve you better?

    We rely on cookies

    to optimize our communication and to enhance your customer experience. By clicking on the Accept and Close button, you agree to the collection of cookies. You can also adjust your preferences by clicking on Manage Preferences. For more information please see our Privacy policy.

    Manage cookies
    Accept & close

    Cookies preferences

    Accept & close
    Back